Bug 47996 - [patch] graphics/svgalib shouldn't called ldconfig
Summary: [patch] graphics/svgalib shouldn't called ldconfig
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maxim Sobolev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-06 10:50 UTC by edwin
Modified: 2003-07-31 08:16 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2003-02-06 10:50:13 UTC
	graphics/svgalib itself calls ldconfig.
	Later on the ports makefile does it again.
	I think its friendlier if the ports Makefile does it and
	not the Makefile in the tarball.

Fix: 

--- patch-ae    25 Aug 2000 09:08:01 -0000      1.1
+++ patch-ae    6 Feb 2003 10:43:16 -0000
@@ -1,5 +1,23 @@
---- Makefile.orig      Fri Aug 25 05:26:16 2000
-+++ Makefile   Fri Aug 25 05:26:20 2000
+--- Makefile.orig      Thu Jul  6 09:12:47 2000
++++ Makefile   Thu Feb  6 02:30:31 2003
+@@ -176,7 +176,7 @@
+               (cd $(sharedlibdir); \
+                ln -sf $$foo `echo $$foo | sed 's/\.so\..*/.so/'` ); \
+       done
+-      @ldconfig
++      #@ldconfig
+ 
+ ifdef INSTALLAOUTDIR
+ 
+@@ -192,7 +192,7 @@
+               (cd $(TOPDIR)/$(INSTALLAOUTDIR); \
+                ln -sf $$foo `echo $$foo | sed 's/\.so\..*/.so/'` ); \
+       done
+-      @ldconfig
++      #@ldconfig
+ 
+ else
+ 
 @@ -210,7 +210,7 @@
	 @$(INSTALL_DATA) staticlib/libvgagl.a $(libdir)/libvgagl.a
	 @chmod a+r $(libdir)/libvgagl.a
How-To-Repeat: 
	install graphics/svgalib
Comment 1 Edwin Groothuis freebsd_committer 2003-02-06 10:59:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sobomax

Over to maintainer
Comment 2 Maho Nakata freebsd_committer 2003-07-31 08:16:38 UTC
State Changed
From-To: open->closed

Committed, thanks!